6.0.0-git
2019-05-22

[#14574] Invalid Received header
Summary Invalid Received header
Queue Horde Framework Packages
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester azurit (at) pobox (dot) sk
Created 2017-02-06 (835 days ago)
Due
Updated 2017-02-11 (830 days ago)
Assigned
Resolved 2017-02-07 (834 days ago)
Milestone Horde_Core 2.27.7
Patch No

History
2017-02-11 12:27:02 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 4caf0e71a91b551084b7ba296979b57e43d3c709
Author: Jan Schneider <jan@horde.org>
Date:   Sat Feb 11 13:26:46 2017 +0100

     [jan] Correctly encode IP address literal in first Received: 
header (Bug #14574).

  framework/Mime/package.xml | 4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/4caf0e71a91b551084b7ba296979b57e43d3c709
2017-02-10 20:48:28 azurit (at) pobox (dot) sk Comment #6 Reply to this comment
looks good, thank you!
2017-02-10 20:37:17 Michael Rubinsky Comment #5 Reply to this comment
How about now?
2017-02-10 20:36:15 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 5ace791ba4f4a29e76d417a216faae537623d20c
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Feb 10 15:34:54 2017 -0500

     Bug: 14574 Patch the deprecated method, too, for FW_52 installs.

  framework/Mime/lib/Horde/Mime/Headers/Deprecated.php | 4 ++++
  1 file changed, 4 insertions(+)

http://github.com/horde/horde/commit/5ace791ba4f4a29e76d417a216faae537623d20c
2017-02-07 12:09:25 azurit (at) pobox (dot) sk Comment #3 Reply to this comment
I see some issues with the patch. First, file 
Horde/Core/Mime/Headers/Received.php is never used in my installation, 
the right one is Horde/Mime/Headers/Deprecated.php . Second, this 
header was generated:

Received: from [] ([1.2.3.4]) by webmail.example.com (Horde
  Framework) with HTTPS; Tue, 07 Feb 2017 13:06:09 +0100
2017-02-07 10:57:16 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ Horde_Core 2.27.7
 
2017-02-07 10:56:58 Jan Schneider Version ⇒
Queue ⇒ Horde Framework Packages
 
2017-02-07 10:56:18 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 1247789eea27cafebdbb2a8ef086cd0d7b87b2a0
Author: Jan Schneider <jan@horde.org>
Date:   Tue Feb 7 11:56:00 2017 +0100

     [jan] Correctly encode IP address literal in first Received: 
header (Bug #14574).

  framework/Core/lib/Horde/Core/Mime/Headers/Received.php | 7 ++++++-
  framework/Core/package.xml                              | 2 ++
  2 files changed, 8 insertions(+), 1 deletion(-)

http://github.com/horde/horde/commit/1247789eea27cafebdbb2a8ef086cd0d7b87b2a0
2017-02-06 19:00:42 azurit (at) pobox (dot) sk Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Invalid Received header
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
IMP is generating this Received header which contains IP address of a client:

Received: from 1.2.3.4 ([1.2.3.4]) by webmail.example.com
  (Horde Framework) with HTTPS; Mon, 06 Feb 2017 13:00:50 +0100

The problem is that the first IP address (within no brackets) is 
supposed to be an HELO/EHLO string. If HELO/EHLO is an IP address, it 
must be inside "[" and "]" brackets. The headers should look like this:

Received: from [1.2.3.4] ([1.2.3.4]) by webmail.example.com
  (Horde Framework) with HTTPS; Mon, 06 Feb 2017 13:00:50 +0100

Current format is doing problems for example with SpamAssassin: 
E-mails are fireing RCVD_NUMERIC_HELO and FSL_HELO_BARE_IP_2 spam 
checks. You can try it here:
http://spamcheck.postmarkapp.com/

Saved Queries